TextMate bundle for working with GitHub
Ruby
Pull request Compare This branch is 46 commits behind drnic:master.
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Permalink
Failed to load latest commit information.
Commands
Support
README.markdown
info.plist

README.markdown

GitHub TextMate bundle

Prerequisites

The bundle requires Ruby, RubyGems, and the git RubyGem:

    sudo gem install git

Installation

To install via Git:

    cd ~/"Library/Application Support/TextMate/Bundles/"
    git clone git://github.com/drnic/github-tmbundle.git "GitHub.tmbundle"

Source can be viewed or forked via GitHub: http://github.com/drnic/github-tmbundle/tree/master

To install without Git:

    wget http://github.com/drnic/github-tmbundle/tarball/master
    open drnic-github-tmbundle*
    rm drnic-github-tmbundle*.tar.gz
    mv drnic-github-tmbundle* GitHub.tmbundle

Either way, restart TextMate or select "Reload Bundles" from the Bundles >> Bundle Editor menu.

Author

Dr Nic Williams, drnicwilliams@gmail.com, http://drnicwilliams.com